Bug 121746 - [UPDATE] devel/libcheck
Summary: [UPDATE] devel/libcheck
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Felippe de Meirelles Motta
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-16 01:50 UTC by Felippe de Meirelles Motta
Modified: 2008-04-07 17:40 UTC (History)
0 users

See Also:


Attachments
file.diff (5.19 KB, patch)
2008-03-16 01:50 UTC, Felippe de Meirelles Motta
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felippe de Meirelles Motta freebsd_committer 2008-03-16 01:50:00 UTC
- SHA256ify
- USE_LDCONFIG to install shared libs
- Use INFO instead of install-info in pkg-plist
- Patch to install into libdata/pkgconfig instead of lib/pkgconfig
- Fix and sort pkg-plist

TB Log: http://regis.goodking.ca/tb/logs/7-FreeBSD-lippe/libcheck-0.9.5.log

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-03-16 01:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mikeh

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mike Heffner freebsd_committer 2008-03-29 03:27:30 UTC
Responsible Changed
From-To: mikeh->lippe

Felippe, would you like to take ownership of this port and hence 
commit this changeset? I have visually reviewed this changeset and it 
appears fine. I don't have the resources to commit this right now so 
let me know if you would like to do it or I can find the time.
Comment 3 dfilter service freebsd_committer 2008-04-07 05:09:55 UTC
lippe       2008-04-07 04:09:47 UTC

  FreeBSD ports repository

  Modified files:
    devel/libcheck       Makefile pkg-plist 
    devel/libcheck/files patch-Makefile.in 
  Log:
  - USE_LDCONFIG to install shared libs.
  - Use INFO instead of install-info in pkg-plist.
  - Patch to install into libdata/pkgconfig instead of lib/pkgconfig.
  - Fix and sort pkg-plist.
  
  PR:             ports/121746
  Submitted by:   myself
  Approved by:    gabor (mentor), mikeh (maintainer)
  
  Revision  Changes    Path
  1.5       +4 -3      ports/devel/libcheck/Makefile
  1.3       +8 -4      ports/devel/libcheck/files/patch-Makefile.in
  1.7       +26 -28    ports/devel/libcheck/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Felippe de Meirelles Motta freebsd_committer 2008-04-07 05:15:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 bf 2008-04-07 10:51:30 UTC
Thanks to all of you who were working on improving
libcheck.  However, after the recent commits, the
DISTNAME statement which took care of the discrepancy
between the PORTNAME and the distfile name was
removed, breaking the port.  I hope that you can fix
this soon, so that we can all take advantage of your
work.

Lippe@: On the unrelated matter of the proposed sbcl
update, I'd like to furnish ports users and the
upstream maintainers with a new, more recent binary to
bootstrap the build, because lately the upstream
maintainers have only been building Linux binaries, as
you can see from the project homepage.  So when (or
if? ;) ) you resolve the difficulties with the build,
could you furnish a FreeBSD 5.x binary from the build
farm that we could distribute?  Or, on second thought,
a FreeBSD 6.x binary, since 5.x is reaching
end-of-life.  Then we can switch the build dependency
on compat5x over to compat6x, in order to use the
binary for > 6.x.

Thanks,
          bf. 


      ____________________________________________________________________________________
You rock. That's why Blockbuster's offering you one month of Blockbuster Total Access, No Cost.  
http://tc.deals.yahoo.com/tc/blockbuster/text5.com
Comment 6 Felippe de Meirelles Motta freebsd_committer 2008-04-07 17:34:23 UTC
Em Mon, 7 Apr 2008 02:51:30 -0700 (PDT)
bf <bf2006a@yahoo.com> escreveu:

> Thanks to all of you who were working on improving
> libcheck.  However, after the recent commits, the
> DISTNAME statement which took care of the discrepancy
> between the PORTNAME and the distfile name was
> removed, breaking the port.  I hope that you can fix
> this soon, so that we can all take advantage of your
> work.


Committed, thanks!

> Lippe@: On the unrelated matter of the proposed sbcl
> update, I'd like to furnish ports users and the
> upstream maintainers with a new, more recent binary to
> bootstrap the build, because lately the upstream
> maintainers have only been building Linux binaries, as
> you can see from the project homepage.  So when (or
> if? ;) ) you resolve the difficulties with the build,
> could you furnish a FreeBSD 5.x binary from the build
> farm that we could distribute?  Or, on second thought,
> a FreeBSD 6.x binary, since 5.x is reaching
> end-of-life.  Then we can switch the build dependency
> on compat5x over to compat6x, in order to use the
> binary for > 6.x.


Two good ideas, although we are close to EoL of the 5.x branch, it would
be very good we leave our users using sbcl in all possible versions. For
definition of what direction keep it, I would like to ask my mentors
and all around this discussion.

Bf, please, we must continue this conversation as follow-up on the PR o
lang/sbcl, thanks for understanding!

> 
> Thanks,
>           bf. 


Thank you!

-- 
lippe@FreeBSD.org
Felippe de Meirelles Motta